function [BBframes] = getBBframes(startFrame,endFrame, numBins, frameMat)
    disp('Getting baseband frames...');
    % start number for the packet. Can be increaded to jump over
    % initial data if correct noise map is loaded.
    numPkt = startFrame;
    % the number of packets in one file (there can be several files)
    maxPkts = endFrame;
    
    numFrames = endFrame-startFrame;
    BBframes = zeros(numFrames, numBins); 

    counter = 1;
    while (numPkt <= maxPkts)
        % IQ data
        ich = frameMat(1:numBins,numPkt);
        qch = frameMat(numBins+1:end,numPkt);

        iqVec = (ich + 1i*qch);
        BBframes(counter,:) = iqVec;

        counter = counter + 1;
        numPkt = numPkt + 1;
    end
end

