%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief Extract range vector from baseband file
%
% param[in] folder          - baseband file location
% param[in] startFrame      - First frame to extract range from
% param[in] endFrame        - Last frame to extract range from
%
% param[out] rangeVector    - Vector containing target ranges between
%                             startframe and endframe


function [rangeVector] = getRangeVector(folder, startFrame, endFrame)
    if strfind(folder, '2017')
        filename = strcat(folder,'/ranging_fasit_all_fc_interpolated.mat');
        range_fasit = load(filename);   

        rangeVector = range_fasit.c2(startFrame:endFrame, 2);
        disp('Range data loaded');
    else
        disp('Tracking still not implemented at this time.')
        return;
    end
end

