%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief Limit desibel level of range doppler
%
% param[in] pulseDoppler
% param[in] dB_limit

% param[out] pulseDoppler_dB_limited


function [pulseDoppler_dB_limited] = limitPulseDoppler(pulseDoppler,dB_limit)
    % Change into desibel scala
    pulseDoppler_dB = 10*log10(pulseDoppler);
    
    % Replace all values lower than pd_dB_limit with zero 
    % and all values higher with one. Find indices of ones. 
    pulseDopplerBinary = pulseDoppler_dB > dB_limit;
    idx = find(pulseDopplerBinary == 1);
    
    % Create new matrix from pulse doppler with only one-indicies
    pulseDoppler_dB_limited = zeros(size(pulseDoppler));
    pulseDoppler_dB_limited(idx) = pulseDoppler(idx);

end

