%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief Extract information from raw file
%
% param[in] rawFile         - file containing radar output data
%
% param[out] hdrMat         - Matrix containing data info for all frames
% param[out] frameMat       - Matrix containing raw data frames



function [hdrMat,frameMat] = readRawfile(rawFile)
disp('Reading rawfile...');
if (isdir(rawFile))
    rawFiles={};
    DirInfo=dir([rawFile '\xethru_baseband_*.dat']);
    
    cnt=0;
    for (i=1:length(DirInfo))
        if (~DirInfo(i).isdir)
            cnt=cnt+1;
            rawFiles{cnt}=[DirInfo(i).folder '\' DirInfo(i).name];
        end
    end
else
    rawFiles{1}=rawFile;
end

% read the baseband data and separate header and data in frames
[hdrMat , frameMat] = readBasebandFile( rawFiles{1} );

end

