%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief This function saves test accuracy to text file at specified path
%        location
%
% @param[in] testLabels     - Class labels
% @param[in] preds          - Network class predictions
% @param[in] savePath       - Path location
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function saveAccuracyToFile(testLabels,preds, savePath)
    % Calculate test accuracy
    numCorrect = nnz(preds == testLabels');
    fracCorrect = numCorrect/numel(testLabels);
    
    % Save result to text file
    fileID = fopen(fullfile(savePath,strcat('testAccuracy',num2str(fracCorrect),'.txt')),'w');
    fprintf(fileID, strcat('\r\nAccuracy: ', num2str(fracCorrect)));
    fclose(fileID);
    
    Output.INFO(['Test Accuracy: ', num2str(fracCorrect),'\n']);
end

