% @brief Define layers of neural network   
%
% param[in] hp          - hyperparameters struct
% param[out] layers 
function layers = setLayers(hp)
    layers = [...
        imageInputLayer(hp.imageInputSize,'Name','Input')        
        convolution2dLayer(hp.filterSize,hp.numFilters,'NumChannels',1, 'Padding',hp.padding, 'Name','Conv1')
        batchNormalizationLayer;
        leakyReluLayer
        maxPooling2dLayer(hp.pooling,'stride',hp.stride)

        convolution2dLayer(hp.filterSize, 2*hp.numFilters,'NumChannels',hp.numFilters, 'Padding',hp.padding, 'Name','Conv2')
        batchNormalizationLayer;
        leakyReluLayer
        maxPooling2dLayer(hp.pooling,'stride',hp.stride)

        convolution2dLayer(hp.filterSize, 4*hp.numFilters, 'NumChannels', 2*hp.numFilters, 'Padding',hp.padding, 'Name','Conv3')
        batchNormalizationLayer;
        leakyReluLayer
        maxPooling2dLayer(hp.pooling,'stride',hp.stride)    

        convolution2dLayer(hp.filterSize, 8*hp.numFilters, 'NumChannels', 4*hp.numFilters, 'Padding',hp.padding, 'Name','Conv4')
        batchNormalizationLayer;
        leakyReluLayer
        maxPooling2dLayer(hp.pooling,'stride',hp.stride)    

        convolution2dLayer(hp.filterSize, 16*hp.numFilters, 'NumChannels', 8*hp.numFilters, 'Padding',hp.padding, 'Name','Conv5')
        batchNormalizationLayer;
        leakyReluLayer
        maxPooling2dLayer(hp.pooling,'stride',hp.stride)            
        
%         dropoutLayer(hp.dropoutProb,'Name','drop1')
        fullyConnectedLayer(hp.fcHiddenSize(1),'Name','Feedforward1')
        batchNormalizationLayer;
        leakyReluLayer

        fullyConnectedLayer(hp.fcOutputSize,'Name','OutputLayer')
        softmaxLayer    
        classificationLayer
    ];   
end