% @brief Test network performance on test data
%
% @param[in] net        - Trained neural network
% param[in] X_Test      - Test data
% param[in] T_Test      - Test data labels
% param[in] savePath    - Path location


function testNetwork(net, X_Test, T_Test, savePath)
    [preds,scores] = classify(net,X_Test);

    saveAccuracyToFile(T_Test,preds, savePath);             
    plotTestImages(preds,scores, X_Test, T_Test, savePath)
    plotPredictions(scores,net, savePath)              
    plotROC(T_Test,scores, savePath);                
    plotConfusionMat(T_Test,preds, savePath);       
end

