%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief Plot confusion matrix
%
% param[in] T_Test      - Test data labels
% param[in] savePath   - Path location
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plotConfusionMat(T_Test, preds, savePath)
    Output.INFO('Plotting confusion matrix.\n');
    confusionFig = figure(200); 
    
    [conf, names] = confusionmat(T_Test, preds);
    heatmap(names,names,conf);
    %% Adjust figure properties
    set(gca                                 , ...
        'FontName'          , 'Helvetica'   , ...
        'FontSize'          , 40            );    
    x0 = 10;
    y0 = 10;
    width = 1900;
    height = 1100;    
    set(gcf                                         , ...
        'Position'          , [x0,y0,width,height]  , ...            
        'PaperPositionMode' , 'auto'                );
    %% Save figure
    name = 'ConfusionMat';
    formattype = 'epsc';
    filename = fullfile(savePath,name);
    saveas(confusionFig,filename,formattype);    
    
    close(confusionFig);
end

