% param[in] T_Val       - Validation data labels
function plotFullyConnectedLayer(net, layer, channels, numIterations, savePath)
    fullyConnectedTime = tic;
    name = net.Layers(layer).Name;

    Output.INFO(['Plotting filters from layer: ', name,'.\n']);    
    fcFig = figure(500);
    
    I = deepDreamImage(net,layer,channels, 'Verbose',false, 'NumIterations',numIterations);
    montage(I)
    title(['Layer ',name,' Features'])
    set(findall(gcf,'-property','FontSize'),'FontSize',15)    
    
    %% Adjust figure properties
    set(gca                                 , ...
        'FontName'          , 'Helvetica'   , ...
        'FontSize'          , 40            );
    x0 = 10;
    y0 = 10;
    width = 1900;
    height = 1100;
    set(gcf                                         , ...
        'Position'          , [x0,y0,width,height]  , ...            
        'PaperPositionMode' , 'auto'                );    
    
    %% Save figure
    formattype = 'epsc';
    filename = fullfile(savePath,name);
    saveas(fcFig,filename,formattype);
    
    close(fcFig);
    Output.INFO(['Fully connectec layer plotted in time: ', num2str(toc(fullyConnectedTime)),'s\n']);
end

