function plotPredictions(scores, net, savePath)
    Output.INFO('Plotting bar plot.\n'); 
    
    layers = net.Layers;
    outlayer = layers(size(layers,1));
    categorynames = outlayer.ClassNames;    

    barFig = figure(1100);
    bar(scores);
    title('Classification predictions');
    ylabel('Probability');
    xlabel('Test images');
    legend(categorynames,'Location', 'bestoutside');
    %% Adjust figure properties
    set(gca                                 , ...
        'FontName'          , 'Helvetica'   , ...
        'FontSize'          , 40            );
    
    x0 = 10;
    y0 = 10;
    width = 1900;
    height = 1100;
    set(gcf                                         , ...
        'Position'          , [x0,y0,width,height]  , ...            
        'PaperPositionMode' , 'auto'                );
    %% Save figure    
    name = 'BarPlot';
    formattype = 'epsc';
    filename = fullfile(savePath,name);
    saveas(barFig,filename,formattype);    
    close(barFig);
end

% categorynames= outlayer.ClassNames
% [pred,scores] = classify(net,img)
% highscores = scores > 0.01
% bar(scores(highschores))
% xticklabels(categorynames(highscores))
% xticks(1:length(scores(highscores)))
% xticklabels(categorynames(highscores))
% xtickangle(60)
