function plotROC(testLabels, scores, savePath)
    Output.INFO('Plotting ROC.\n');
    rocFig = figure(100); 
    
    targets = createTargetMatrix(testLabels);    
    
    plotroc(targets, scores')
    %% Adjust figure properties
    set(gca                                 , ...
        'FontName'          , 'Helvetica'   , ...
        'FontSize'          , 40            );
    x0 = 10;
    y0 = 10;
    width = 1900;
    height = 1100;
    set(gcf                                         , ...
        'Position'          , [x0,y0,width,height]  , ...            
        'PaperPositionMode' , 'auto'                );
    %% Save figure
    name = 'ROCplot';
    formattype = 'epsc';
    filename = fullfile(savePath,name);
    saveas(rocFig,filename,formattype);    
    
    close(rocFig);
end

