function plotTestImages(preds,scores, X_Test, T_Test, savePath)
    testImFig = figure(1200);
    idx = randperm(numel(T_Test),9);
    for i = 1:numel(idx)
        subplot(3,3,i)
        imshow(X_Test(:,:,:,idx(i)));
        prob = num2str(100*max(scores(idx(i),:)),3);
        predClass = char(preds(idx(i)));
        realClass = char(T_Test(idx(i)));
        label = {['Real: ', realClass] ; ['Pred: ', predClass,', ',prob,'%']};
        title(label)
        
        set(gca                                 , ...
            'FontName'          , 'Helvetica'   , ...
            'FontSize'          , 20            , ...
            'LineWidth'         , 3             );
    end
    %% Adjust figure properties    
    x0 = 10;
    y0 = 10;
    width = 1900;
    height = 1100;
    set(gcf                                         , ...
        'Position'          , [x0,y0,width,height]  , ...            
        'PaperPositionMode' , 'auto'                );
    
    %% Save figure    
    name = 'testImagesDisplayed';
    formattype = 'epsc';
    filename = fullfile(savePath,name);
    saveas(testImFig,filename,formattype);    
    close(testImFig);

end

