%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief Balance classes used in training data     
% @param[in] X1    - Class 1
% @param[in] X2    - Class 2
% @param[in] T1    - Label class 1
% @param[in] T2    - Label class 2
% @param[out] X1   - Balanced Class 1
% @param[out] X2   - Balanced Class 2
% @param[out] T1   - Balanced Label class 1
% @param[out] T2   - Balanced Label class 2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [X1, X2, T1, T2] = balanceDatasets(X1, X2, T1, T2)
    if size(X1,4) ~= size(X2,4)
        maxAllwdSize = min(size(X1,4),size(X2,4));
        %Chop off last elements in largest matrix
        X1 = X1(:,:,:,1:maxAllwdSize);
        X2 = X2(:,:,:,1:maxAllwdSize);
        T1 = T1(1:maxAllwdSize);
        T2 = T2(1:maxAllwdSize);
    end
end

